using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioFabricante
    {

        public void Insert(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            try
            {
                dalFabricante = new dalFabricante();

                dalFabricante.Insert(objFabricante);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            try
            {
                dalFabricante = new dalFabricante();

                dalFabricante.Update(objFabricante);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            try
            {
                dalFabricante = new dalFabricante();

                dalFabricante.Update_1(objFabricante);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            try
            {
                dalFabricante = new dalFabricante();

                dalFabricante.Delete(objFabricante);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeFabricante> Select(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            var lstFabricante = new List<entidadeFabricante>();
            DataTable dt = null;

            try
            {
                dalFabricante = new dalFabricante();
                dt = dalFabricante.Select(objFabricante);

                foreach (DataRow dr in dt.Rows)
                {
                    objFabricante = new entidadeFabricante();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objFabricante.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objFabricante.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objFabricante.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objFabricante.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstFabricante.Add(objFabricante);
                }
                return lstFabricante;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeFabricante> SelectMax(entidadeFabricante objFabricante)
        {
            dalFabricante dalFabricante = null;

            var lstFabricante = new List<entidadeFabricante>();
            DataTable dt = null;

            try
            {
                dalFabricante = new dalFabricante();
                dt = dalFabricante.SelectMax(objFabricante);

                foreach (DataRow dr in dt.Rows)
                {
                    objFabricante = new entidadeFabricante();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objFabricante.ID = Convert.ToInt32(dr["ID"]);


                    lstFabricante.Add(objFabricante);
                }
                return lstFabricante;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
